Skip to main content
GET
/
wealth
/
accounts
/
{account_id}
/
reports
/
pnl
Get P&L report
curl --request GET \
  --url https://service.bluumfinance.com/v1/wealth/accounts/{account_id}/reports/pnl \
  --header 'Authorization: Basic <encoded-value>'
{
  "account_id": "3d0b0e65-35d3-4dcd-8df7-10286ebb4b4b",
  "period": {
    "start_date": "2024-01-01",
    "end_date": "2024-12-31"
  },
  "summary": {
    "total_pnl": "25000.00",
    "realized_pnl": "10000.00",
    "unrealized_pnl": "15000.00",
    "dividend_income": "3000.00",
    "interest_income": "500.00",
    "fees_paid": "300.00"
  },
  "realized_gains_losses": {
    "short_term_gains": "3000.00",
    "short_term_losses": "-500.00",
    "long_term_gains": "8000.00",
    "long_term_losses": "-500.00",
    "net_realized": "10000.00"
  },
  "by_position": [
    {
      "symbol": "AAPL",
      "realized_pnl": "2500.00",
      "unrealized_pnl": "5000.00",
      "dividend_income": "500.00"
    },
    {
      "symbol": "VTI",
      "realized_pnl": "4000.00",
      "unrealized_pnl": "8000.00",
      "dividend_income": "1500.00"
    },
    {
      "symbol": "BND",
      "realized_pnl": "500.00",
      "unrealized_pnl": "2000.00",
      "dividend_income": "1000.00"
    }
  ],
  "by_asset_class": [
    {
      "asset_class": "equities",
      "pnl": "20000.00",
      "pnl_percent": "15.00"
    },
    {
      "asset_class": "fixed_income",
      "pnl": "5000.00",
      "pnl_percent": "8.00"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.bluumfinance.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

HTTP Basic Authentication using the API Key as username and API Secret as password.

Path Parameters

account_id
string<uuid>
required

Query Parameters

start_date
string<date>

Report start date

end_date
string<date>

Report end date

realized_only
boolean
default:false

Only show realized P&L

Response

P&L report generated successfully

Profit and loss breakdown

account_id
string<uuid>
period
object
summary
object
realized_gains_losses
object
by_position
object[]
by_asset_class
object[]